/* eslint-disable no-unused-vars */

'use strict';

// //////////////////////////////////////////////////////////////////////////////
// Exercice : bases du langage et utilisation de la console
// //////////////////////////////////////////////////////////////////////////////

function fibonacci(n) {
  return undefined;
}

// //////////////////////////////////////////////////////////////////////////////
// Exercice : interface dynamique
// //////////////////////////////////////////////////////////////////////////////
const nouvelles_exemple = [
  {
    titre: 'Faits marquants 2017 du laboratoire LIRIS',
    date: '2018-02-20',
    contenu: "Le livret des faits marquants 2017 du Laboratoire d'InfoRmatique [...]",
  },
  {
    titre: "Une Nuit de l'Info réussie avec l'Association des inforMaticiens Lyonnais",
    date: '2017-12-08',
    contenu: "La Nuit de l'Info est une compétition nationale qui réunit des étudiants de différentes filières, des enseignant-chercheurs et des représentants d'entreprise pour passer un moment convivial et sympathique. Pour l'édition 2017, l'AML - l'Association des inforMaticiens Lyonnais qui regroupe les étudiants du département d'informatique, s'est mobilisée pour que le département soit un site d'accueil.",
  },
  {
    titre: 'Portrait de deux lauréats du CAPES de mathématiques option informatique 2017',
    date: '2017-07-27',
    contenu: 'Jade OFFREDI et Baptiste EREAU sont deux lauréats du CAPES de mathématiques option informatique du concours 2017 qui ont suivi la préparation au concours proposée par l’Université Claude Bernard Lyon 1. Ils reviennent aujourd’hui sur l’année écoulée et celle à venir.',
  },
  {
    titre: "Guide d'accueil des étudiant·e·s 2017, à découvrir !",
    date: '2017-09-15',
    contenu: 'Cher·e·s étudiant·e·s, pour la rentrée 2017, votre Université vous propose un tout nouveau Guide de Bienvenue ! Il contient les informations pratiques sur votre environnement et les structures et services à votre disposition pour réussir vos études et mieux vivre votre vie étudiante.',
  },
  {
    titre: "Livret de l'offre de formation du département informatique de la FST",
    date: '2016-10-20',
    contenu: 'Le département vous propose un livret de description de son offre de formation. Des plates-formes pédagogique, des parcours de licences (bac+3) au spécialités de master (bac+5) en passant par le doctorat et la recherche : tout y est.',
  },
  {
    titre: 'Nouvelle 1 du mois de juillet',
    date: '2016-07-05',
    contenu: 'contenu de test 1',
  },
  {
    titre: 'Nouvelle 2 du mois de juillet',
    date: '2016-07-10',
    contenu: 'contenu de test 2',
  },
  {
    titre: 'Nouvelle 3 du mois de juillet',
    date: '2016-07-15',
    contenu: 'contenu de test 3',
  },
];


function liste_to_options(arr) {
  return arr.map(x => `<option value=${x}>${x}</option>`).join('\n');
}

// //////////////////////////////////////////////////////////////////////////////
// Exercice : Téléchargement asynchrone
// //////////////////////////////////////////////////////////////////////////////


function get_news(callback) {
  const url = 'https://gonnord.gitlabpages.inria.fr/diu-lyon/bloc1/WEB/DIU-EIL-WEB.json';

  fetch(url)
    .then(response => response.json())
    .then(callback)
    .catch(console.error);
}


// //////////////////////////////////////////////////////////////////////////////
document.addEventListener('DOMContentLoaded', () => {
// garde pour ne pas exécuter dans la page des tests unitaires.
  if (!document.getElementById('main-test')) {
    console.log('Document entièrement chargé.');
    document.getElementById('btn-exec').addEventListener('click', () => alert('clic'));
  }
}, false);
